import dataiku
from ..flow.constants import FLOW_INPUT_DATASETS, FLOW_INPUT_DATASETS_TO_PRESERVE


def get_list_of_datasets_to_load(variables):
    local_variables = variables["local"]
    datasets_to_load = []
    for dataset_name in FLOW_INPUT_DATASETS:
        if dataset_name not in FLOW_INPUT_DATASETS_TO_PRESERVE:
            datasets_to_load.append(dataset_name)
            
    return datasets_to_load